Upstream information

CVE-2014-8169 at MITRE

Description

automount 5.0.8, when a program map uses certain interpreted languages, uses the calling user's USER and HOME environment variable values instead of the values for the user used to run the mapped program, which allows local users to gain privileges via a Trojan horse program in the user home directory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 917977 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • autofs >= 5.0.9-8.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-248
SUSE Linux Enterprise Desktop 12 SP1
  • autofs >= 5.0.9-8.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA autofs
SUSE Linux Enterprise Desktop 12 SP2
  • autofs >= 5.0.9-21.6
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA autofs
SUSE Linux Enterprise Desktop 12 SP3
  • autofs >= 5.0.9-27.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA autofs
SUSE Linux Enterprise Module for Basesystem 15
  • autofs >= 5.1.3-5.25
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA autofs
SUSE Linux Enterprise Server 12
  • autofs >= 5.0.9-8.1
Patchnames:
SUSE-SLE-SERVER-12-2015-248
SUSE Linux Enterprise Server 12 SP1
  • autofs >= 5.0.9-8.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA autofs
SUSE Linux Enterprise Server 12 SP2
  • autofs >= 5.0.9-21.6
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA autofs
SUSE Linux Enterprise Server 12 SP3
  • autofs >= 5.0.9-27.2
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA autofs
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • autofs >= 5.0.9-21.6
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA autofs
SUSE Linux Enterprise Server for SAP Applications 12
  • autofs >= 5.0.9-8.1
Patchnames:
SUSE-SLE-SERVER-12-2015-248
openSUSE 13.1
  • autofs >= 5.0.9-19.16.1
  • autofs-debuginfo >= 5.0.9-19.16.1
  • autofs-debugsource >= 5.0.9-19.16.1
Patchnames:
openSUSE-2015-220
openSUSE Leap 15.0
  • autofs >= 5.1.3-lp150.5.1
Patchnames:
openSUSE Leap 15.0 GA autofs
openSUSE Leap 42.1
  • autofs >= 5.0.9-4.3
Patchnames:
openSUSE Leap 42.1 GA autofs
openSUSE Leap 42.2
  • autofs >= 5.0.9-14.1
Patchnames:
openSUSE Leap 42.2 GA autofs
openSUSE Leap 42.3
  • autofs >= 5.0.9-17.1
Patchnames:
openSUSE Leap 42.3 GA autofs
openSUSE Tumbleweed
  • autofs >= 5.1.1-3.5
Patchnames:
openSUSE Tumbleweed GA autofs


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 GA autofs Released
SUSE Linux Enterprise Desktop 12 SP1 autofs Released
SUSE Linux Enterprise Server 12 GA autofs Released